<!-- 前端活动详情页面 -->
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style>
    #content{
        margin-top: 100px;
        margin-left: 100px;
    }
    #party_list div{
        margin-bottom: 20px
    }
    #comments div{
        margin-bottom: 10px
    }
    
</style>
<script src='/static/jquery.js'></script>
<script>
    function GetQueryString(name){
        var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
        var r = window.location.search.substr(1).match(reg);
        if(r!=null)return  unescape(r[2]); return null;
    }
    $(function () {
        renderView();
        $("#join_btn").click(function(){
            var btn_class = $("#join_btn").attr("class");
            if("join_n" == btn_class){
                $.get("/entry_task/cancel_join",{"id":GetQueryString('id')},
                    function(data){
                        renderView();
                    }
                )
            }else{
                $.get("/entry_task/join",{"id":GetQueryString('id')},
                    function(data){
                        renderView();
                    }
                )
            }
        });

        renderComments();
        $("#pub_btn").click(function(){
            var pub_c = $("#pub_c").val();
            $.post("/entry_task/pub_comment",{"id":GetQueryString('id'),"pub_c":pub_c},
                    function(data){
                        renderComments();
                    }
            )
        });

    });

    function renderView(){
        $.get("/entry_task/party_view",{"id":GetQueryString('id')},
            function(data){
                val = data.data
                var str = '<div>'+
                    '<label>活动id：</label>'+ val.id+'<br/>' +
                    '<label>活动名称：</label>'+ val.party_name+'<br/>'+
                    '<label>类别：</label>'+ val.party_chnl_name+'<br/>'+
                    '<label>开始时间：</label>'+ val.begin_time+'<br/>'+
                    '<label>结束时间：</label>'+ val.end_time+'<br/>'+
                    '<label>活动地点：</label>'+ val.party_pos+'<br/>'+
                    '<label>活动主图：</label>'+ val.party_url+'<br/>'+
                    '<label>活动描述：</label>'+ val.party_desc+'<br/>'+
                    '<label>活动创建人头像：</label>'+ val.create_user_photo+'<br/>'+
                    '<label>活动创建人名称：</label>'+ val.create_user_name+'<br/>'+
                    '<label>活动明细图：</label>'+ val.photo_urls.join(",")+'<br/>'+
                    '<label>活动参与人：</label>'+ val.party_users.join(",")+'<br/>'+
                    '</div>'

                $("#party_view").html(
                    str
                );
                if('Y'==val.user_join){
                    $("#join_btn").attr("class","join_n");
                    $("#join_btn").val("取消加入")
                }else{
                    $("#join_btn").attr("class","join_y");
                    $("#join_btn").val("加入")
                }
            }
        )
    };

    function renderComments(){
        $.get("/entry_task/list_comment",{"pageno":1,"id":GetQueryString('id')},
            function(data){
                $("#comments").empty();
                datalist = data.data.list
                $.each(datalist,function(i,val){
                    $("#comments").append(
                        '<div>'+
                        '<label>评论id：</label>'+ val.id+'<br/>' +
                        '<label>发布人id：</label>'+ val.pub_user_id+'<br/>'+
                        '<label>发布人用户名：</label>'+ val.pub_user_name+'<br/>'+
                        '<label>评论内容：</label>'+ val.comment_content+'<br/>'+
                        '<label>发布时间：</label>'+ val.pub_time+'<br/>'+
                        '</div>'
                    );
                });
            }
        )
    }
</script>
</head>
<body>
   <div id = "content">
        <h3>
            聚会活动详情：
        </h3>
        <div id="party_view">
        </div>
        <div>
            <input id="join_btn" type="button" class = "join_y" value="加入">
        </div>
        <h4>
            活动评论：
        </h4>
        <div id = "comments">

        </div>
        <div>
                <textarea id="pub_c" name="pub_c" cols="30" rows="10"></textarea><br/>
                <input id="pub_btn" type="button" value="发布">
        </div>

   </div> 

</body>
</html>